Get list of services
GET
/system/dashboard/services
const url = 'https://example.com/api/v1/system/dashboard/services';const options = {method: 'GET', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/system/dashboard/services \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”List of services returned
Media typeapplication/json
object
services
List of systemd services
Array<object>
object
state
string
substate
string
description
string
autostart
State of the unit file
string
since
Date string with time
string
name
Name of the service
string
unit
Name of the systemd unit. Required for action endpoints.
string
Examplegenerated
{ "services": [ { "state": "example", "substate": "example", "description": "example", "autostart": "example", "since": "example", "name": "example", "unit": "example" } ]}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}